#ifndef SYSTEMEVENTS_COMMON_HPP_INCLUDED
#define SYSTEMEVENTS_COMMON_HPP_INCLUDED

#if _MSC_VER > 1020
#  pragma once
#endif // _MSC_VER

//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//
//  common.hpp
//  This is a part of the systemevents source code.
//
//  Copyright (C) 2003 ilmcuts.
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

#ifdef _WINDOWS_
#  error Don't include windows.h before common.hpp
#endif

// defines for windows.h
#define WIN32_LEAN_AND_MEAN
#define STRICT
#define NOCRYPT
#define NOMINMAX



//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//
// common includes
//
#include <windows.h>
#include <litestep/lsapi/lsapi.h>

#pragma warning(push)
#pragma warning(disable: 4097 4514 4702 4710) // for warning level 4

#include <stdexcept>

// STL
#include <map>
#include <string>

#pragma warning(pop)


//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//
// macros
//
#define ASSERT(x) (void)0


#endif // !defined(SYSTEMEVENTS_COMMON_HPP_INCLUDED)
